Bug 119217 - xinit does not load xkb map from .Xkbmap
xinit does not load xkb map from .Xkbmap
Product: Fedora
Classification: Fedora
Component: xinitrc (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2004-03-26 10:28 EST by Victor Ashik
Modified: 2007-11-30 17:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-03-31 00:48:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Victor Ashik 2004-03-26 10:28:09 EST
Description of problem:

Version-Release number of selected component (if applicable):


How reproducible:

Steps to Reproduce:
1. Install FC2-test1
2. echo 'us,ru -option grp:alt_shift_toggle' > ~/.Xkbmap
3. init 3
4. xinit
Actual results:

setxkbmap does not called

Expected results:

setxkbmap should be called automatically with arguments from .Xkbmap

Additional info:
Comment 1 Mike A. Harris 2004-03-30 17:27:47 EST
This is unlikely to be a bug in XFree86 packaging, because nothing
in XFree86 has changed which would cause this type of problem.

However, there have been other reports of problems with xinitrc
caused due to gnome-session wiping out the configuration performaed
by xinitrc et al. so this might be a duplicate of the same problem.

Can you look at bug #119295 and bug #119018 and see if these issues
are similar and/or related to the issue you are having?  Can you
reproduce either of the other bugs?

Comment 2 Mike A. Harris 2004-03-30 17:29:24 EST
Moving to xinitrc component which is where the scripts reside,
however this may be a GNOME bug possibly.
Comment 3 Behdad Esfahbod 2004-03-30 22:17:24 EST
Oh I guess I know what's wrong here:  xinit is not supposed to load
the keymap.  xinit is just the binary.  It is startx that runs xinitrc
after starting the xinit.  I would say NOTABUG.

I just tested and startx works great with both /etc/X11/Xkbmap and
Comment 4 Victor Ashik 2004-03-31 00:48:15 EST
OK, I have just checked the behaviour of RHEL3 - it does not load
.Xkbmap too.

So, it is not a bug. Sorry.

Note You need to log in before you can comment on or make changes to this bug.